#!/bin/sh
clear

case "$LANG" in
 fr*)
  _note="Note : vous ne pouvez renommer l'utilisateur qu'une fois."
  _givename="Entrez le nouveau nom d'utilisateur"
  _givepass="Tapez le mot de passe pour le nouvel utilisateur :"
  _modfiles="Fichiers modifiés :"
  _modfilesend="Modification des fichiers de config terminée !"
  _renaminguser="Renommage de l'utilisateur..."
  _alreadydone="L'utilisateur a déjà été renommé !"
  _pressenter="Appuyez sur entrée..."
 ;;
 *)
  _note="You can only rename the user once."
  _givename="Enter the new username"
  _givepass="Type the pasword for the new user :"
  _modfiles="Modified files :"
  _modfilesend="Modification of the config files finished !"
  _renaminguser="Renaming user..."
  _alreadydone="The user has already been renamed !"
  _pressenter="Press enter..."
 ;;
esac

if [ -e /home/arch ];then
  echo "$_note"
  echo
  echo -en "$_givename\n=> " && read
  usr1="arch"
  usr2="$REPLY"
  echo "$_givepass"
  while true; do
   passwd $usr1 && break
  done
  sync
  IFS='
'
  echo "$_modfiles"
  for i in $(find /home/$usr1/.??* -type f);do grep "home/$usr1" $i >/dev/null && sed -i "s|home/$usr1|home/$usr2|g" $i && echo $i;done
  echo "$_modfilesend"
  sleep 1
  echo "$_renaminguser"
  sed -i "s/$usr1/$usr2/g" /etc/group
  sed -i "s/$usr1/$usr2/g" /etc/gshadow
  sed -i "s/$usr1/$usr2/g" /etc/passwd
  sed -i "s/$usr1/$usr2/" /etc/shadow
  sed -i "s/$usr1/$usr2/" /etc/inittab
  sed -i "s/$usr1/$usr2/" /var/lib/polkit-1/localauthority/50-local.d/internal-mount.pkla
  mv /home/$usr1 /home/$usr2
else
  echo "$_alreadydone"
  echo "$_pressenter"
  read
fi
